Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map:

## Public Member Functions
| __construct (array $map)
| Constructor. More...
| __sleep ()
| Do not serialize the Siteaccess configuration in order to reduce ESI request URL size. More...
| setRequest (SimplifiedRequest $request)
| Injects the request object to match against. More...
| getRequest ()
| Returns the SimplifiedRequest object corresponding to the reverse match. More...
| setMapKey ($key)
| Injects the key that will be used for matching against the map configuration. More...
| getMapKey ()
| match ()
| Returns matching Siteaccess. More...
| reverseMatch ($siteAccessName)
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher
| getName ()
| Returns the matcher's name. More...

## Protected Attributes
| $key
| $map = []
| $reverseMap = []
| $request

## Private Member Functions
| getReverseMap ($defaultSiteAccess)

## Detailed Description

Definition at line 12 of file Map.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::__construct | ( | array | $map | ) |

Constructor.

Parameters

  array | $map | Map used for matching.

Definition at line 43 of file Map.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\$map.

## Member Function Documentation

## ◆ __sleep()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::__sleep | ( |  | ) |

Do not serialize the Siteaccess configuration in order to reduce ESI request URL size.

See also
  https://jira.ez.no/browse/EZP-23168

Returns
  array

Definition at line 55 of file Map.php.

## ◆ getMapKey()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::getMapKey | ( |  | ) |

Returns
  string

Definition at line 86 of file Map.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\$key.

## ◆ getRequest()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::getRequest | ( |  | ) |

Returns the SimplifiedRequest object corresponding to the reverse match.

This request object can then be used to build a link to the "reverse matched" SiteAccess.

See also
  reverseMatch()

Returns
  \eZ\Publish\Core\MVC\Symfony\Routing\SimplifiedRequest

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher.

Definition at line 68 of file Map.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\$request.

## ◆ getReverseMap()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::getReverseMap | ( |  | $defaultSiteAccess | ) |
| private

Definition at line 121 of file Map.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\$map, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\$reverseMap.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\reverseMatch().

## ◆ match()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::match | ( |  | ) |

Returns matching Siteaccess.

Returns
  string|false Siteaccess matched or false.

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher.

Definition at line 96 of file Map.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\$key.

## ◆ reverseMatch()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::reverseMatch | ( |  | $siteAccessName | ) |

Parameters

  string | $siteAccessName |

Returns
  \eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher|Map|null

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher.

Reimplemented in eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\URI, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Port, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Host.

Definition at line 108 of file Map.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\$reverseMap, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\getReverseMap(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\setMapKey().

## ◆ setMapKey()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::setMapKey | ( |  | $key | ) |

Injects the key that will be used for matching against the map configuration.

Parameters

  string | $key |

Definition at line 78 of file Map.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\$key.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\reverseMatch(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Host\setRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Port\setRequest(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\URI\setRequest().

## ◆ setRequest()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::setRequest | ( | SimplifiedRequest | $request | ) |

Injects the request object to match against.

Parameters

  \eZ\Publish\Core\MVC\Symfony\Routing\SimplifiedRequest | $request |

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher.

Reimplemented in eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\URI, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Port, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Host.

Definition at line 63 of file Map.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\$request.

## Member Data Documentation

## ◆ $key

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::$key
| protected

Definition at line 19 of file Map.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\getMapKey(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\match(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\setMapKey(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Port\setRequest(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\URI\setRequest().

## ◆ $map

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::$map = []
| protected

Definition at line 26 of file Map.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\__construct(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\getReverseMap().

## ◆ $request

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::$request
| protected

Definition at line 36 of file Map.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\getRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\URI\reverseMatch(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\setRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Host\setRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Port\setRequest(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\URI\setRequest().

## ◆ $reverseMap

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map::$reverseMap = []
| protected

Definition at line 33 of file Map.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\getReverseMap(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\reverseMatch().

The documentation for this class was generated from the following file:

- Map.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.